MOUNT(8)

NAME
mount - mount a file system

SYNOPSIS
mount [-lhV]

mount -a [-fFnrsvw] [-t vfstype]
mount [-fnrsvw] [-o options [,...]] device | dir
mount [-fnrsvw] [-t vfstype] [-o options] device dir

DESCRIPTION
All files accessible in a Unix system are arranged in one big tree, the file hierarchy, rooted at /. These files can be spread out over several devices. The mount command serves to attach the file system found on some device to the big file tree. Conversely, the umount(8) command will detach it again. The standard form of the mount command, is
    mount -t type device dir
This tells the kernel to attach the file system found on device (which is of type type) at the directory dir. The previous contents (if any) and owner and mode of dir become invisible, and as long as this file system remains mounted, the pathname dir refers to the root of the file system on device. Three forms of invocation do not actually mount anything:
    mount -h
prints a help message;
    mount -V
prints a version string; and just
    mount [-l] [-t type]
lists all mounted file systems (of type type). The option -l adds the (ext2, ext3 and XFS) labels in this listing. See below. Since Linux 2.4.0 it is possible to remount part of the file hierarchy somewhere else. The call is
    mount --bind olddir newdir
The proc file system is not associated with a special device, and when mounting it, an arbitrary keyword, such as proc can be used instead of a device specification. (The customary choice none is less fortunate: the error message `none busy' from umount can be confusing.) Most devices are indicated by a file name (of a block special device), like /dev/sda1, but there are other possibilities. For example, in the case of an NFS mount, device may look like knuth.cwi.nl:/dir. It is possible to indicate a block special device using its volume label or UUID (see the -L and -U options below). The file /etc/fstab (see fstab(5)), may contain lines describing what devices are usually mounted where, using which options. This file is used in three ways:

(i) The command
    mount -a [-t type]
(usually given in a bootscript) causes all file systems mentioned in fstab (of the proper type) to be mounted as indicated, except for those whose line contains the noauto keyword. Adding the -F option will make mount fork, so that the filesystems are mounted simultaneously.

(ii) When mounting a file system mentioned in fstab, it suffices to give only the device, or only the mount point.

(iii) Normally, only the superuser can mount file systems. However, when fstab contains the user option on a line, then anybody can mount the corresponding system.

Thus, given a line
    /dev/cdrom /cd iso9660 ro,user,noauto,unhide
any user can mount the iso9660 file system found on his CDROM using the command
    mount /dev/cdrom
or
    mount /cd
For more details, see fstab(5). Only the user that mounted a filesystem can unmount it again. If any user should be able to unmount, then use users instead of user in the fstab line. The owner option is similar to the user option, with the restriction that the user must be the owner of the special file. This may be useful e.g. for /dev/fd if a login script makes the console user owner of this device. The programs mount and umount maintain a list of currently mounted file systems in the file /etc/mtab. If no arguments are given to mount, this list is printed. When the proc filesystem is mounted (say at /proc), the files /etc/mtab and /proc/mounts have very similar contents. The former has somewhat more information, such as the mount options used, but is not necessarily up-to-date (cf. the -n option below). It is possible to replace /etc/mtab by a symbolic link to /proc/mounts, but some information is lost that way, and in particular working with the loop device will be less convenient.

OPTIONS
The full set of options used by an invocation of mount is determined by first extracting the options for the file system from the fstab table, then applying any options specified by the -o argument, and finally applying a -r or -w option, when present. Options available for the mount command:

-V  Output version.

-h  Print a help message.

-v  Verbose mode.

-p num
    If the mount requires a passphrase to be entered, read it from file descriptor num instead of from the terminal.

-a  Mount all filesystems (of the given types) mentioned in fstab.

-F  (Used in conjunction with -a.) Fork off a new incarnation of mount for each device. This will do the mounts on different devices or different NFS servers in parallel. This has the advantage that it is faster; also NFS timeouts go in parallel. A disadvantage is that the mounts are done in undefined order. Thus, you cannot use this option if you want to mount both /usr and /usr/spool.

-f  Causes everything to be done except for the actual system call; if it's not obvious, this ``fakes'' mounting the file system. This option is useful in conjunction with the -v flag to determine what the mount command is trying to do. It can also be used to add entries for devices that were mounted earlier with the -n option.

-l  Add the ext2, ext3 and XFS labels in the mount output. Mount must have permission to read the disk device (e.g. be suid root) for this to work. One can set such a label for ext2 or ext3 using the e2label(8) utility, or for XFS using xfs_admin(8).

-n  Mount without writing in /etc/mtab. This is necessary for example when /etc is on a read-only file system.

-s  Tolerate sloppy mount options rather than failing. This will ignore mount options not supported by a filesystem type. Not all filesystems support this option. This option exists for support of the Linux autofs-based automounter.

-r  Mount the file system read-only. A synonym is -o ro.

-w  Mount the file system read/write. This is the default. A synonym is -o rw.

-L label
    Mount the partition that has the specified label.

-U uuid
    Mount the partition that has the specified uuid. These two options require the file /proc/partitions (present since Linux 2.1.116) to exist.

-t vfstype
    The argument following the -t is used to indicate the file system type. The file system types which are currently supported are: adfs, affs, autofs, coda, coherent, cramfs, devpts, efs, ext, ext2, ext3, hfs, hpfs, iso9660, jfs, minix, msdos, ncpfs, nfs, ntfs, proc, qnx4, reiserfs, romfs, smbfs, sysv, tmpfs, udf, ufs, umsdos, vfat, xenix, xfs, xiafs. Note that coherent, sysv and xenix are equivalent and that xenix and coherent will be removed at some point in the future — use sysv instead. Since kernel version 2.1.21 the types ext and xiafs do not exist anymore. For most types all the mount program has to do is issue a simple mount(2) system call, and no detailed knowledge of the filesystem type is required. For a few types however (like nfs, smbfs, ncpfs) ad hoc code is necessary. The nfs ad hoc code is built in, but smbfs and ncpfs have a separate mount program. In order to make it possible to treat all types in a uniform way, mount will execute the program /sbin/mount.TYPE (if that exists) when called with type TYPE. Since various versions of the smbmount program have different calling conventions, /sbin/mount.smb may have to be a shell script that sets up the desired call. The type iso9660 is the default. If no -t option is given, or if the auto type is specified, the superblock is probed for the filesystem type (adfs, bfs, cramfs, ext, ext2, ext3, hfs, hpfs, iso9660, jfs, minix, ntfs, qnx4, reiserfs, romfs, ufs, vxfs, xfs, xiafs are supported). If this probe fails, mount will try to read the file /etc/filesystems, or, if that does not exist, /proc/filesystems. All of the filesystem types listed there will be tried, except for those that are labeled "nodev" (e.g., devpts, proc and nfs). Note that the auto type may be useful for user-mounted floppies. Creating a file /etc/filesystems can be useful to change the probe order (e.g., to try vfat before msdos) or if you use a kernel module autoloader. Warning: the probing uses a heuristic (the presence of appropriate `magic'), and could recognize the wrong filesystem type. More than one type may be specified in a comma separated list. The list of file system types can be prefixed with no to specify the file system types on which no action should be taken. (This can be meaningful with the -a option.) For example, the command:
        mount -a -t nomsdos,ext
    mounts all file systems except those of type msdos and ext.

-o  Options are specified with a -o flag followed by a comma separated string of options. Some of these options are only useful when they appear in the /etc/fstab file. The following options apply to any file system that is being mounted (but not every file system actually honors them - e.g., the sync option today has effect only for ext2, ext3 and ufs):

    async
        All I/O to the file system should be done asynchronously.

    atime
        Update inode access time for each access. This is the default.

    auto
        Can be mounted with the -a option.

    defaults
        Use default options: rw, suid, dev, exec, auto, nouser, and async.

    dev Interpret character or block special devices on the file system.

    exec
        Permit execution of binaries.

    noatime
        Do not update inode access times on this file system (e.g, for faster access on the news spool to speed up news servers).

    noauto
        Can only be mounted explicitly (i.e., the -a option will not cause the file system to be mounted).

    nodev
        Do not interpret character or block special devices on the file system.

    noexec
        Do not allow execution of any binaries on the mounted file system. This option might be useful for a server that has file systems containing binaries for architectures other than its own.

    nosuid
        Do not allow set-user-identifier or set-group-identifier bits to take effect. (This seems safe, but is in fact rather unsafe if you have suidperl(1) installed.)

    nouser
        Forbid an ordinary (i.e., non-root) user to mount the file system. This is the default.

    remount
        Attempt to remount an already-mounted file system. This is commonly used to change the mount flags for a file system, especially to make a readonly file system writeable. It does not change device or mount point.

    ro  Mount the file system read-only.

    rw  Mount the file system read-write.

    suid
        Allow set-user-identifier or set-group-identifier bits to take effect.

    sync
        All I/O to the file system should be done synchronously.

    user
        Allow an ordinary user to mount the file system. The name of the mounting user is written to mtab so that he can unmount the file system again. This option implies the options noexec, nosuid, and nodev (unless overridden by subsequent options, as in the option line user,exec,dev,suid).

    users
        Allow every user to mount and unmount the file system. This option implies the options noexec, nosuid, and nodev (unless overridden by subsequent options, as in the option line users,exec,dev,suid).

    encryption
        Specifies an encryption algorithm to use. Used in conjunction with the loop option.

    keybits
        Specifies the key size to use for an encryption algorithm. Used in conjunction with the loop and encryption options.

FILESYSTEM SPECIFIC MOUNT OPTIONS
The following options apply only to certain file systems. We sort them by file system. They all follow the -o flag.

Mount options for adfs

uid=value and gid=value
    Set the owner and group of the files in the file system (default: uid=gid=0).

ownmask=value and othmask=value
    Set the permission mask for ADFS 'owner' permissions and 'other' permissions, respectively (default: 0700 and 0077, respectively). See also /usr/src/linux/Documentation/filesystems/adfs.txt.

Mount options for affs

uid=value and gid=value
    Set the owner and group of the root of the file system (default: uid=gid=0, but with option uid or gid without specified value, the uid and gid of the current process are taken).

setuid=value and setgid=value
    Set the owner and group of all files.

mode=value
    Set the mode of all files to value & 0777 disregarding the original permissions. Add search permission to directories that have read permission. The value is given in octal.

protect
    Do not allow any changes to the protection bits on the file system.

usemp
    Set uid and gid of the root of the file system to the uid and gid of the mount point upon the first sync or umount, and then clear this option. Strange...

verbose
    Print an informational message for each successful mount.

prefix=string
    Prefix used before volume name, when following a link.

volume=string
    Prefix (of length at most 30) used before '/' when following a symbolic link.

reserved=value
    (Default: 2.) Number of unused blocks at the start of the device.

root=value
    Give explicitly the location of the root block.

bs=value
    Give blocksize. Allowed values are 512, 1024, 2048, 4096.

grpquota / noquota / quota / usrquota
    These options are accepted but ignored. (However, quota utilities may react to such strings in /etc/fstab.)

Mount options for coherent
None.

Mount options for devpts
The devpts file system is a pseudo file system, traditionally mounted on /dev/pts. In order to acquire a pseudo terminal, a process opens /dev/ptmx; the number of the pseudo terminal is then made available to the process and the pseudo terminal slave can be accessed as /dev/pts/<number>.

uid=value and gid=value
    This sets the owner or the group of newly created PTYs to the specified values. When nothing is specified, they will be set to the UID and GID of the creating process. For example, if there is a tty group with GID 5, then gid=5 will cause newly created PTYs to belong to the tty group.

mode=value
    Set the mode of newly created PTYs to the specified value. The default is 0600. A value of mode=620 and gid=5 makes "mesg y" the default on newly created PTYs.

Mount options for ext
None. Note that the `ext' file system is obsolete. Don't use it. Since Linux version 2.1.21 extfs is no longer part of the kernel source.

Mount options for ext2
The `ext2' file system is the standard Linux file system. Due to a kernel bug, it may be mounted with random mount options (fixed in Linux 2.0.4).

bsddf / minixdf
    Set the behaviour for the statfs system call. The minixdf behaviour is to return in the f_blocks field the total number of blocks of the file system, while the bsddf behaviour (which is the default) is to subtract the overhead blocks used by the ext2 file system and not available for file storage. Thus
% mount /k -o minixdf; df /k; umount /k
Filesystem   1024-blocks  Used Available Capacity Mounted on
/dev/sda6      2630655   86954  2412169      3%   /k
% mount /k -o bsddf; df /k; umount /k
Filesystem   1024-blocks  Used Available Capacity Mounted on
/dev/sda6      2543714      13  2412169      0%   /k
(Note that this example shows that one can add command line options to the options given in /etc/fstab.)

check / check=normal / check=strict
    Set checking level. When at least one of these options is set (and check=normal is set by default) the inodes and blocks bitmaps are checked upon mount (which can take half a minute or so on a big disk, and is rather useless). With strict checking, block deallocation checks that the block to free is in the data zone.

check=none / nocheck
    No checking is done. This is fast. Recent kernels do not have a check option anymore - checking with e2fsck(8) is more meaningful.

debug
    Print debugging info upon each (re)mount.

errors=continue / errors=remount-ro / errors=panic
    Define the behaviour when an error is encountered. (Either ignore errors and just mark the file system erroneous and continue, or remount the file system read-only, or panic and halt the system.) The default is set in the filesystem superblock, and can be changed using tune2fs(8).

grpid or bsdgroups / nogrpid or sysvgroups
    These options define what group id a newly created file gets. When grpid is set, it takes the group id of the directory in which it is created; otherwise (the default) it takes the fsgid of the current process, unless the directory has the setgid bit set, in which case it takes the gid from the parent directory, and also gets the setgid bit set if it is a directory itself.

resgid=n and resuid=n
    The ext2 file system reserves a certain percentage of the available space (by default 5%, see mke2fs(8) and tune2fs(8)). These options determine who can use the reserved blocks. (Roughly: whoever has the specified uid, or belongs to the specified group.)

sb=n
    Instead of block 1, use block n as superblock. This could be useful when the filesystem has been damaged. (Earlier, copies of the superblock would be made every 8192 blocks: in block 1, 8193, 16385, ... (and one got hundreds or even thousands of copies on a big filesystem). Since version 1.08, mke2fs has a -s (sparse superblock) option to reduce the number of backup superblocks, and since version 1.15 this is the default. Note that this may mean that ext2 filesystems created by a recent mke2fs cannot be mounted r/w under Linux 2.0.*.) The block number here uses 1k units. Thus, if you want to use logical block 32768 on a filesystem with 4k blocks, use "sb=131072".

grpquota / noquota / quota / usrquota
    These options are accepted but ignored.

nouid32
    Disables 32-bit UIDs and GIDs. This is for interoperability with older kernels which only store and expect 16-bit values.

Mount options for ext3
The `ext3' file system is version of the ext2 file system which has been enhanced with journalling. It supports the same options as ext2 as well as the following additions:

journal=update
    Update the ext3 file system's journal to the current format.

journal=inum
    When a journal already exists, this option is ignored. Otherwise, it specifies the number of the inode which will represent the ext3 file system's journal file; ext3 will create a new journal, overwriting the old contents of the file whose inode number is inum.

noload
    Do not load the ext3 file system's journal on mounting.

data=journal / data=ordered / data=writeback
    Specifies the journalling mode for file data. Metadata is always journaled.

    journal
        All data is committed into the journal prior to being written into the main file system.

    ordered
        This is the default mode. All data is forced directly out to the main file system prior to its metadata being committed to the journal.

    writeback
        Data ordering is not preserved - data may be written into the main file system after its metadata has been committed to the journal. This is rumoured to be the highest-throughput option. It guarantees internal file system integrity, however it can allow old data to appear in files after a crash and journal recovery.

Mount options for fat
(Note: fat is not a separate filesystem, but a common part of the msdos, umsdos and vfat filesystems.)

blocksize=512 / blocksize=1024 / blocksize=2048
    Set blocksize (default 512).

uid=value and gid=value
    Set the owner and group of all files. (Default: the uid and gid of the current process.)

umask=value
    Set the umask (the bitmask of the permissions that are not present). The default is the umask of the current process. The value is given in octal.

check=value
    Three different levels of pickyness can be chosen:

    r[elaxed]
        Upper and lower case are accepted and equivalent, long name parts are truncated (e.g. verylongname.foobar becomes verylong.foo), leading and embedded spaces are accepted in each name part (name and extension).

    n[ormal]
        Like "relaxed", but many special characters (*, ?, <, spaces, etc.) are rejected. This is the default.

    s[trict]
        Like "normal", but names may not contain long parts and special characters that are sometimes used on Linux, but are not accepted by MS-DOS are rejected. (+, =, spaces, etc.)

codepage=value
    Sets the codepage for converting to shortname characters on FAT and VFAT filesystems. By default, codepage 437 is used.

conv=b[inary] / conv=t[ext] / conv=a[uto]
    The fat file system can perform CRLF<-->NL (MS-DOS text format to UNIX text format) conversion in the kernel. The following conversion modes are available:

    binary
        no translation is performed. This is the default.

    text
        CRLF<-->NL translation is performed on all files.

    auto
        CRLF<-->NL translation is performed on all files that don't have a "well-known binary" extension. The list of known extensions can be found at the beginning of fs/fat/misc.c (as of 2.0, the list is: exe, com, bin, app, sys, drv, ovl, ovr, obj, lib, dll, pif, arc, zip, lha, lzh, zoo, tar, z, arj, tz, taz, tzp, tpz, gz, tgz, deb, gif, bmp, tif, gl, jpg, pcx, tfm, vf, gf, pk, pxl, dvi).

    Programs that do computed lseeks won't like in-kernel text conversion. Several people have had their data ruined by this translation. Beware! For file systems mounted in binary mode, a conversion tool (fromdos/todos) is available.

cvf_format=module
    Forces the driver to use the CVF (Compressed Volume File) module cvf_module instead of auto-detection. If the kernel supports kmod, the cvf_format=xxx option also controls on-demand CVF module loading.

cvf_option=option
    Option passed to the CVF module.

debug
    Turn on the debug flag. A version string and a list of file system parameters will be printed (these data are also printed if the parameters appear to be inconsistent).

fat=12 / fat=16 / fat=32
    Specify a 12, 16 or 32 bit fat. This overrides the automatic FAT type detection routine. Use with caution!

iocharset=value
    Character set to use for converting between 8 bit characters and 16 bit Unicode characters. The default is iso8859-1. Long filenames are stored on disk in Unicode format.

quiet
    Turn on the quiet flag. Attempts to chown or chmod files do not return errors, although they fail. Use with caution!

sys_immutable, showexec, dots, nodots, dotsOK=[yes|no]
    Various misguided attempts to force Unix or DOS conventions onto a FAT file system.

Mount options for hpfs

uid=value and gid=value
    Set the owner and group of all files. (Default: the uid and gid of the current process.)

umask=value
    Set the umask (the bitmask of the permissions that are not present). The default is the umask of the current process. The value is given in octal.

case=lower / case=asis
    Convert all files names to lower case, or leave them. (Default: case=lower.)

conv=binary / conv=text / conv=auto
    For conv=text, delete some random CRs (in particular, all followed by NL) when reading a file. For conv=auto, choose more or less at random between conv=binary and conv=text. For conv=binary, just read what is in the file. This is the default.

nocheck
    Do not abort mounting when certain consistency checks fail.

Mount options for iso9660
Normal iso9660 filenames appear in a 8.3 format (i.e., DOS-like restrictions on filename length), and in addition all characters are in upper case. Also there is no field for file ownership, protection, number of links, provision for block/character devices, etc. Rock Ridge is an extension to iso9660 that provides all of these unix like features. Basically there are extensions to each directory record that supply all of the additional information, and when Rock Ridge is in use, the filesystem is indistinguishable from a normal UNIX file system (except that it is read-only, of course).

norock
    Disable the use of Rock Ridge extensions, even if available. Cf. map.

nojoliet
    Disable the use of Microsoft Joliet extensions, even if available. Cf. map.

check=r[elaxed] / check=s[trict]
    With check=relaxed, a filename is first converted to lower case before doing the lookup. This is probably only meaningful together with norock and map=normal. (Default: check=strict.)

uid=value and gid=value
    Give all files in the file system the indicated user or group id, possibly overriding the information found in the Rock Ridge extensions. (Default: uid=0,gid=0.)

map=n[ormal] / map=o[ff] / map=a[corn]
    For non-Rock Ridge volumes, normal name translation maps upper to lower case ASCII, drops a trailing `;1', and converts `;' to `.'. With map=off no name translation is done. See norock. (Default: map=normal.) map=acorn is like map=normal but also apply Acorn extensions if present.

mode=value
    For non-Rock Ridge volumes, give all files the indicated mode. (Default: read permission for everybody.) Since Linux 2.1.37 one no longer needs to specify the mode in decimal. (Octal is indicated by a leading 0.)

unhide
    Also show hidden and associated files.

block=[512|1024|2048]
    Set the block size to the indicated value. (Default: block=1024.)

conv=a[uto] / conv=b[inary] / conv=m[text] / conv=t[ext]
    (Default: conv=binary.) Since Linux 1.3.54 this option has no effect anymore. (And non-binary settings used to be very dangerous, possibly leading to silent data corruption.)

cruft
    If the high byte of the file length contains other garbage, set this mount option to ignore the high order bits of the file length. This implies that a file cannot be larger than 16MB. The `cruft' option is set automatically if the entire CDROM has a weird size (negative, or more than 800MB). It is also set when volume sequence numbers other than 0 or 1 are seen.

session=x
    Select number of session on multisession CD. (Since 2.3.4.)

sbsector=xxx
    Session begins from sector xxx. (Since 2.3.4.)

Mount options for minix
None.

Mount options for msdos
See mount options for fat. If the msdos file system detects an inconsistency, it reports an error and sets the file system read-only. The file system can be made writeable again by remounting it.

Mount options for ncp
Just like nfs, the ncp implementation expects a binary argument (a struct ncp_mount_data) to the mount system call. This argument is constructed by ncpmount(8) and the current version of mount (2.6h) does not know anything about ncp.

Mount options for nfs
Instead of a textual option string, parsed by the kernel, the nfs file system expects a binary argument of type struct nfs_mount_data. The program mount itself parses the following options of the form `tag=value', and puts them in the structure mentioned: rsize=n, wsize=n, timeo=n, retrans=n, acregmin=n, acregmax=n, acdirmin=n, acdirmax=n, actimeo=n, retry=n, port=n, mountport=n, mounthost=name, mountprog=n, mountvers=n, nfsprog=n, nfsvers=n, namlen=n. The option addr=n is accepted but ignored. Also the following Boolean options, possibly preceded by no are recognized: bg, fg, soft, hard, intr, posix, cto, ac, tcp, udp, lock. For details, see nfs(5). Especially useful options include

rsize=8192,wsize=8192
    This will make your nfs connection much faster than with the default buffer size of 1024. (NFSv2 does not work with larger values of rsize and wsize.)

hard
    The program accessing a file on a NFS mounted file system will hang when the server crashes. The process cannot be interrupted or killed unless you also specify intr. When the NFS server is back online the program will continue undisturbed from where it was. This is probably what you want.

soft
    This option allows the kernel to time out if the nfs server is not responding for some time. The time can be specified with timeo=time. This option might be useful if your nfs server sometimes doesn't respond or will be rebooted while some process tries to get a file from the server. Usually it just causes lots of trouble.

nolock
    Do not use locking. Do not start lockd.

Mount options for ntfs

iocharset=name
    Character set to use when returning file names. Unlike VFAT, NTFS suppresses names that contain unconvertible characters.

utf8
    Use UTF-8 for converting file names.

uni_xlate=[0|1|2]
    For 0 (or `no' or `false'), do not use escape sequences for unknown Unicode characters. For 1 (or `yes' or `true') or 2, use vfat-style 4-byte escape sequences starting with ":". Here 2 give a little-endian encoding and 1 a byteswapped bigendian encoding.

posix=[0|1]
    If enabled (posix=1), the file system distinguishes between upper and lower case. The 8.3 alias names are presented as hard links instead of being suppressed.

uid=value, gid=value and umask=value
    Set the file permission on the filesystem. By default, the files are owned by root and not readable by somebody else.

Mount options for proc

uid=value and gid=value
    These options are recognized, but have no effect as far as I can see.

Mount options for reiserfs
The reiserfs mount options are more fully described at http://www.namesys.com/mount-options.html.

conv
    Instructs version 3.6 reiserfs software to mount a version 3.5 file system, using the 3.6 format for newly created objects. This file system will no longer be compatible with reiserfs 3.5 tools.

hash=rupasov / hash=tea / hash=r5 / hash=detect
    Choose which hash function reiserfs will use to find files within directories.

    rupasov
        A hash invented by Yury Yu. Rupasov. It is fast and preserves locality, mapping lexicographically close file names to close hash values. This option should not be used, as it causes a high probability of hash collisions.

    tea A Davis-Meyer function implemented by Jeremy Fitzhardinge. It uses hash permuting bits in the name. It gets high randomness and, therefore, low probability of hash collisions at come CPU cost. This may be used if EHASHCOLLISION errors are experienced with the r5 hash.

    r5  A modified version of the rupasov hash. It is used by default and is the best choice unless the file system has huge directories and unusual file-name patterns.

    detect
        Instructs mount to detect which hash function is in use by examining the file system being mounted, and to write this information into the reiserfs superblock. This is only useful on the first mount of an old format file system.

hashed_relocation
    Tunes the block allocator. This may provide performance improvements in some situations.

no_unhashed_relocation
    Tunes the block allocator. This may provide performance improvements in some situations.

noborder
    Disable the border allocator algorithm invented by Yury Yu. Rupasov. This may provide performance improvements in some situations.

nolog
    Disable journalling. This will provide slight performance improvements in some situations at the cost of losing reiserfs's fast recovery from crashes. Even with this option turned on, reiserfs still performs all journalling operations, save for actual writes into its journalling area. Implementation of nolog is a work in progress.

notail
    By default, reiserfs stores small files and `file tails' directly into its tree. This confuses some utilities such as LILO(8). This option is used to disable packing of files into the tree.

replayonly
    Replay the transactions which are in the journal, but do not actually mount the file system. Mainly used by reiserfsck.

resize=number
    A remount option which permits online expansion of reiserfs partitions. Instructs reiserfs to assume that the device has number blocks. This option is designed for use with devices which are under logical volume management (LVM). There is a special resizer utility which can be obtained from ftp://ftp.namesys.com/pub/reiserfsprogs.

Mount options for romfs
None.

Mount options for smbfs
Just like nfs, the smb implementation expects a binary argument (a struct smb_mount_data) to the mount system call. This argument is constructed by smbmount(8) and the current version of mount (2.9w) does not know anything about smb.

Mount options for sysv
None.

Mount options for tmpfs
The following parameters accept a suffix k, m or g for Ki, Mi, Gi (binary kilo, mega and giga) and can be changed on remount.

size=nbytes
    Override default size of the filesystem. The size is given in bytes, and rounded down to entire pages. The default is half of the memory.

nr_blocks=
    Set number of blocks.

nr_inodes=
    Set number of inodes.

mode=
    Set initial permissions of the root directory.

Mount options for udf

gid=
    Set the default group.

umask=
    Set the default umask.

uid=
    Set the default user.

unhide
    Show otherwise hidden files.

undelete
    Show deleted files in lists.

strict
    Set strict conformance (unused).

utf8
    (unused).

iocharset
    (unused).

bs= Set the block size. (May not work unless 2048.)

novrs
    Skip volume sequence recognition.

session=
    Set the CDROM session counting from 0. Default: last session.

anchor=
    Override standard anchor location. Default: 256.

volume=
    Override the VolumeDesc location. (unused)

partition=
    Override the PartitionDesc location. (unused)

lastblock=
    Set the last block of the filesystem.

fileset=
    Override the fileset block location. (unused)

rootdir=
    Override the root directory location. (unused)

Mount options for ufs

ufstype=value
    UFS is a file system widely used in different operating systems. The problem are differences among implementations. Features of some implementations are undocumented, so its hard to recognize the type of ufs automatically. That's why the user must specify the type of ufs by mount option. Possible values are:

    old Old format of ufs, this is the default, read only.

    44bsd
        For filesystems created by a BSD-like system (NetBSD,FreeBSD,OpenBSD).

    sun For filesystems created by SunOS or Solaris on Sparc.

    sunx86
        For filesystems created by Solaris on x86.

    nextstep
        For filesystems created by NeXTStep (on NeXT station) (currently read only).

    nextstep-cd
        For NextStep CDROMs (block_size == 2048), read-only.

    openstep
        For filesystems created by OpenStep (currently read only).

onerror=value
    Set behaviour on error:

    panic
        If an error is encountered, cause a kernel panic.

    [lock|umount|repair]
        These mount options don't do anything at present; when an error is encountered only a console message is printed.

Mount options for umsdos
See mount options for msdos. The dotsOK option is explicitly killed by umsdos.

Mount options for vfat
First of all, the mount options for fat are recognized. The dotsOK option is explicitly killed by vfat. Furthermore, there are

uni_xlate
    Translate unhandled Unicode characters to special escaped sequences. This lets you backup and restore filenames that are created with any Unicode characters. Without this option, a '?' is used when no translation is possible. The escape character is ':' because it is otherwise illegal on the vfat filesystem. The escape sequence that gets used, where u is the unicode character, is: ':', (u & 0x3f), ((u>>6) & 0x3f), (u>>12).

posix
    Allow two files with names that only differ in case.

nonumtail
    First try to make a short name without sequence number, before trying name~num.ext.

utf8
    UTF8 is the filesystem safe 8-bit encoding of Unicode that is used by the console. It can be be enabled for the filesystem with this option. If `uni_xlate' gets set, UTF8 gets disabled.

Mount options for xenix
None.

Mount options for xfs

biosize=size
    Sets the preferred buffered I/O size (default size is 64K). size must be expressed as the logarithm (base2) of the desired I/O size. Valid values for this option are 14 through 16, inclusive (i.e. 16K, 32K, and 64K bytes). On machines with a 4K pagesize, 13 (8K bytes) is also a valid size. The preferred buffered I/O size can also be altered on an individual file basis using the ioctl(2) system call.

dmapi  /  xdsm
    Enable the DMAPI (Data Management API) event callouts.

logbufs=value
    Set the number of in-memory log buffers. Valid numbers range from 2-8 inclusive. The default value is 8 buffers for filesystems with a blocksize of 64K, 4 buffers for filesystems with a blocksize of 32K, 3 buffers for filesystems with a blocksize of 16K, and 2 buffers for all other configurations. Increasing the number of buffers may increase performance on some workloads at the cost of the memory used for the additional log buffers and their associated control structures.

logbsize=value
    Set the size of each in-memory log buffer. Valid sizes are 16384 (16K) and 32768 (32K). The default value for machines with more than 32MB of memory is 32768, machines with less memory use 16384 by default.

logdev=device and rtdev=device
    Use an external log (metadata journal) and/or real-time device. An XFS filesystem has up to three parts: a data section, a log section, and a real-time section. The real-time section is optional, and the log section can be separate from the data section or contained within it. Refer to xfs(5).

noalign
    Data allocations will not be aligned at stripe unit boundaries.

noatime
    Access timestamps are not updated when a file is read.

norecovery
    The filesystem will be mounted without running log recovery. If the filesystem was not cleanly unmounted, it is likely to be inconsistent when mounted in norecovery mode. Some files or directories may not be accessible because of this. Filesystems mounted norecovery must be mounted read-only or the mount will fail.

osyncisdsync
    Make writes to files opened with the O_SYNC flag set behave as if the O_DSYNC flag had been used instead. This can result in better performance without compromising data safety. However if this option is in effect, timestamp updates from O_SYNC writes can be lost if the system crashes.

quota / usrquota / uqnoenforce
    User disk quota accounting enabled, and limits (optionally) enforced.

grpquota / gqnoenforce
    Group disk quota accounting enabled and limits (optionally) enforced.

sunit=value and swidth=value
    Used to specify the stripe unit and width for a RAID device or a stripe volume. value must be specified in 512-byte block units. If this option is not specified and the filesystem was made on a stripe volume or the stripe width or unit were specified for the RAID device at mkfs time, then the mount system call will restore the value from the superblock. For filesystems that are made directly on RAID devices, these options can be used to override the information in the superblock if the underlying disk layout changes after the filesystem has been created. The swidth option is required if the sunit option has been specified, and must be a multiple of the sunit value.

Mount options for xiafs
None. Although nothing is wrong with xiafs, it is not used much, and is not maintained. Probably one shouldn't use it. Since Linux version 2.1.21 xiafs is no longer part of the kernel source.

THE LOOP DEVICE
One further possible type is a mount via the loop device. For example, the command
  mount /tmp/fdimage /mnt -t msdos -o loop=/dev/loop3,blocksize=1024
will set up the loop device /dev/loop3 to correspond to the file /tmp/fdimage, and then mount this device on /mnt. This type of mount knows about three options, namely loop, offset and encryption, that are really options to losetup(8). If the mount requires a passphrase, you will be prompted for one unless you specify a file descriptor to read from instead with the --pass-fd option. If no explicit loop device is mentioned (but just an option `-o loop' is given), then mount will try to find some unused loop device and use that. If you are not so unwise as to make /etc/mtab a symbolic link to /proc/mounts then any loop device allocated by mount will be freed by umount. You can also free a loop device by hand, using `losetup -d', see losetup(8).

FILES
/etc/fstab file system table
/etc/mtab table of mounted file systems
/etc/mtab~ lock file
/etc/mtab.tmp temporary file

SEE ALSO
mount(2), umount(2), fstab(5), umount(8), swapon(8), nfs(5), xfs(5), e2label(8), xfs_admin(8), mountd(8), nfsd(8), mke2fs(8), tune2fs(8), losetup(8)

BUGS
It is possible for a corrupted file system to cause a crash.

Some Linux file systems don't support -o sync (the ext2 and ext3 file systems do support synchronous updates (a la BSD) when mounted with the sync option).

The -o remount may not be able to change mount parameters (all ext2fs-specific parameters, except sb, are changeable with a remount, for example, but you can't change gid or umask for the fatfs).

HISTORY
A mount command existed in Version 5 AT&T UNIX.